Subject: bug#30800: 26.0.91; unknown crash on macos

From: [email-masked] (Charles A. Roelli)
Date: Sun, 25 Mar 2018 22:14:49 +0200

> Date: Sat, 24 Mar 2018 14:12:29 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
>
> Hi Charles, thanks for offering to check this.
> 
> I’ve attached a patch for the emacs-26 branch that reverts
> d9d383147219f8e6a90d4c177e1b454e19acfac9. It doesn’t revert cleanly,
> hence the patch. You could try reverting it on master if you want, but
> I suspect it will be harder to do.
> 
> Once that’s applied try the reproduction steps in
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18757#41
> 
> Basically the code in question has at least one reproducible bug and
> looks as though it should have several more that we haven’t seen yet,
> and although we have a work‐around we’re wondering if we can just get
> rid of it completely as it appears to have been a work‐around for a
> bug introduced in macOS 10.10 and fixed some time later, hopefully
> before 10.10 stopped getting fixes.

Under 10.10.5, I saw no flicker with or without the patch applied.